import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { TapConnectionStoreItem } from '../definitions';
import { TapConnectionStoreService } from '../tap-connection-store.service';
export declare class TapConnectionStoreListComponent implements OnInit, OnDestroy {
    private storeService;
    filteredConnectionTypes?: string[];
    items: TapConnectionStoreItem[];
    set connectionTypes(filteredConnectionTypes: string[] | undefined);
    selected: EventEmitter<TapConnectionStoreItem>;
    private sub?;
    constructor(storeService: TapConnectionStoreService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onItemSelected(item: TapConnectionStoreItem): void;
}
